Scientific Linux Security Update : pixman on SL6.x i386/x86_64

This script is Copyright (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

An integer overflow flaw was discovered in one of pixman's
manipulation routines. If a remote attacker could trick an application
using pixman into performing a certain manipulation, it could cause
the application to crash or, possibly, execute arbitrary code with the
privileges of the user running the application. (CVE-2013-1591)

All applications using pixman must be restarted for this update to
take effect.

See also :

http://www.nessus.org/u?fb70e1e0

Solution :

Update the affected pixman, pixman-debuginfo and / or pixman-devel
packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 65716 ()

Bugtraq ID:

CVE ID: CVE-2013-1591